public class CharacterDemo
{  
  public static void main( String[] args )
  {
    System.out.println( Character.isDigit( '0' ) );      // true
    System.out.println( Character.isDigit( '-' ) );      // false
    System.out.println( Character.isLetter( 'ß' ) );     // true    
    System.out.println( Character.isLetter( '0' ) );     // false    
    System.out.println( Character.isWhitespace( ' ' ) ); // true    
    System.out.println( Character.isWhitespace( '-' ) ); // false    
  }
}
